SoTextureUnit(3)

NAME
SoTextureUnit - The SoTextureUnit class is a node for setting the active texture unit.

SYNOPSIS

#include <Inventor/nodes/SoTextureUnit.h>

Inherits SoNode.

  Public Types
enum MappingMethod { BUMP_MAPPING, IMAGE_MAPPING }

  Public Member Functions
virtual SoType getTypeId (void) const
SoTextureUnit (void)
virtual void doAction (SoAction *action)
virtual void callback (SoCallbackAction *action)
virtual void GLRender (SoGLRenderAction *action)
virtual void pick (SoPickAction *action)
virtual void getBoundingBox (SoGetBoundingBoxAction *action)
virtual void getMatrix (SoGetMatrixAction *action)

  Static Public Member Functions
static SoType getClassTypeId (void)
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static uint32_t getMaxTextureUnit (void)

  Public Attributes
SoSFInt32 unit
SoSFEnum mappingMethod

  Protected Member Functions
virtual const SoFieldData * getFieldData (void) const
virtual ~SoTextureUnit ()

  Static Protected Member Functions
static const SoFieldData ** getFieldDataPtr (void)

  Additional Inherited Members

Detailed Description

The SoTextureUnit class is a node for setting the active texture unit. When an SoTextureUnit node is inserted into the scene graph, all subsequent texture nodes (SoTexture2, SoTextureCoordinate2, SoTextureCoordinate3, SoTexture2Transform, SoTexture3Transform, SoTextureCoordinateEnvironment, SoTextureCoordinatePlane and SoComplexity) will affect the texture unit set in the unit field.

See the SoGuiExample module for an usage example for this node.

FILE FORMAT/DEFAULTS:

TextureUnit {
    unit 0
    mappingMethod IMAGE_MAPPING
}

Since
    Coin 2.2

Member Enumeration Documentation

  enum SoTextureUnit::MappingMethod

Enumerator

BUMP_MAPPING
    Bump mapping is used.

IMAGE_MAPPING
    Normal image mapping is used.

Constructor & Destructor Documentation

  SoTextureUnit::SoTextureUnit (void)
Constructor.

  SoTextureUnit::~SoTextureUnit () [protected], [virtual]
Destructor.

Member Function Documentation

  SoType SoTextureUnit::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoTextureUnit::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

Implements SoBase.

  const SoFieldData ** SoTextureUnit::getFieldDataPtr (void) [static], [protected]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Returns the SoFieldData class which holds information about fields in this node.

  const SoFieldData * SoTextureUnit::getFieldData (void) const [protected], [virtual]
Returns a pointer to the class-wide field data storage object for this instance. If no fields are present, returns NULL.

Reimplemented from SoFieldContainer.

  void SoTextureUnit::doAction (SoAction * action) [virtual]
This function performs the typical operation of a node for any action.

Reimplemented from SoNode.

  void SoTextureUnit::callback (SoCallbackAction * action) [virtual]
Action method for SoCallbackAction.

Simply updates the state according to how the node behaves for the render action, so the application programmer can use the SoCallbackAction for extracting information about the scene graph.

Reimplemented from SoNode.

  void SoTextureUnit::GLRender (SoGLRenderAction * action) [virtual]
Action method for the SoGLRenderAction.

This is called during rendering traversals. Nodes influencing the rendering state in any way or want to throw geometry primitives at OpenGL override this method.

Reimplemented from SoNode.

  void SoTextureUnit::pick (SoPickAction * action) [virtual]
Action method for SoPickAction.

Does common processing for SoPickAction action instances.

Reimplemented from SoNode.

  void SoTextureUnit::getBoundingBox (SoGetBoundingBoxAction * action) [virtual]
Action method for the SoGetBoundingBoxAction.

Calculates bounding box and center coordinates for node and modifies the values of the action to encompass the bounding box for this node and to shift the center point for the scene more towards the one for this node.

Nodes influencing how geometry nodes calculate their bounding box also override this method to change the relevant state variables.

Reimplemented from SoNode.

  void SoTextureUnit::getMatrix (SoGetMatrixAction * action) [virtual]
Action method for SoGetMatrixAction.

Updates action by accumulating with the transformation matrix of this node (if any).

Reimplemented from SoNode.

  uint32_t SoTextureUnit::getMaxTextureUnit (void) [static]
Returns the maximum number of texture units for the current GL context. Do not call this method if you don't have a current active GL context. You should also know that your OpenGL driver supports multi-texturing.

This function is provided only to be compatible with TGS Inventor. It's better to use cc_glglue_max_texture_units() if you're using Coin (declared in Inventor/C/glue/gl.h).

Member Data Documentation

  SoSFInt32 SoTextureUnit::unit
The texture unit which will be used for texture nodes following this node in the traversal. Default value of the field is 0.

  SoSFEnum SoTextureUnit::mappingMethod
The mapping method for this unit. Default is IMAGE_MAPPING.

This field is not currently supported in Coin. It is included to support TGS' API. We might support the field in the future.

Author

Generated automatically by Doxygen for Coin from the source code.